RUNOVERSSH(1)

NAME
runoverssh - Runs a Bash command/script over ssh in one or more hosts

SYNOPSIS
runoverssh [OPTIONS] USERNAME COMMAND HOSTS...

DESCRIPTION
runoverssh This program runs a Bash command/script over ssh in one or more hosts.

OPTIONS

-g, --globalpw
    ask one global password for all connections

-s, --script [file]
    read commands from a script file instead

-r, --hostsfile [file]
    use the list of hosts from a file (one host per line)

-n, --nopw [file]
    no password (use ssh directly instead of sshpass)

-a, --args [args]
    specify the arguments to be passed to the script file

-l, --log
    save ssh output (default: runoverssh.log) (append)

-q, --quiet [file]
    disable ssh screen output

--bashflags [flags]
    set custom bash flags. default: '-l'

--sshflags [flags]
    set custom ssh flags. default: '-o ConnectTimeout=5 -o StrictHostKeyChecking=no'

--logfile [file]
    save ssh output to a custom file (append)

AUTHOR
runoverssh was written by Yuri Escalianti.